# -*- rpm-spec -*-
# $Id: kernel-feat-fs-xfs.spec,v 1.3 2004/01/30 11:45:12 rider Exp $
##
%define  patch_name kernel-feat-fs-xfs

Name: %{patch_name}
Version: 1.3
Release: alt7

Summary: %patch_name kernel patch - XFS filesystem
License: GPL
Group: Development/Other
Url: ftp://oss.sgi.com/projects/xfs/download/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source 1 01_xfs-2.4.22-split-only
%source 2 02_xfs-2.4.22-split-kernel
%source 3 03_xfs-2.4.22-split-misc
%source 4 04_xfs-2.4.22-split-acl
%source 5 05_xfs-2.4.22-split-dmapi
%source 6 06_xfs-2.4.22-ntfs-compat.patch
%source 7 07_xfs-2.4.22-log_recover.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
XFS file system by SGI.

%install

%install_patches

%files
%{_usrsrc}/*

%changelog
* Fri Jan 30 2004 Anton Farygin <rider@altlinux.ru> 1.3-alt7
- typo fix (log_recover patch) http://testing.lkml.org/slashdot.php?mid=446593

* Wed Jan 28 2004 Anton Farygin <rider@altlinux.ru> 1.3-alt6
- update to official from SGI

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 1.3-alt5
- update for linux-2.4.22

* Fri Aug 29 2003 Zhenja Kaluta <tren@altlinux.ru> 1.3-alt4
- Added evms2 fix

* Mon Aug 25 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.3-alt3
- Update to XFS 1.3 Release

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.3-alt2
- Added compatibility fixes for crypto and ntfs patches
- Remove EXTRAVERSION tag from patch

* Fri Jul 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.3-alt1
- updated to 2003-07-07 1.3 snapshot

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.2-alt5
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.2-alt4
- spec improvements: using %%source and %%install_patches macros

* Fri Apr 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.2-alt3
- name of the package changed, spec syntax improvements

* Tue Mar 25 2003 Peter Novodvorsky <nidd@altlinux.com> 1.2-alt2
- Added dmapi patch.

* Tue Mar 25 2003 Peter Novodvorsky <nidd@altlinux.com> 1.2-alt1
- Initial release.
